/* Esimerkki 2.
   10.5.1999 Matti Meriläinen

   Merkkijonolistan alustaminen, satunnaisen listan luominen,
   listasta alkion etsiminen ja listasta poistaminen.
   Ohjelma luo merkkijonolistan yhden merkin pituisista merkkijonoista
   ja poistaa merkkejä listan alusta ensimmäiseen "a" - kirjaimeen 
   asti. Huomaa yleisen listan funktioiden käyttö niissä kohdissa
   joissa se on sallittua.
*/
   
#include "TRA.h"

int main() {
    LIST L;
    LIST_POSITION p, q;

    CL_CREATE(L);
    LIST_CONSTRUCT_RANDOM(L, 35, 1, 1);
    LIST_PRINT(L);
    putchar ('\n');

    p = CL_LOCATE(L, "a");
    for (q=LIST_FIRST(L); q!=p; q=LIST_FIRST(L)) 
        LIST_DELETE(L, LIST_FIRST(L));
    LIST_PRINT(L);
}
